import { RuntypeError, Fail } from './runtype';
declare type RuntypeErrorInfo = RuntypeError | Fail;
/**
 * Turn an arbitrary object into a string of max length suitable for logging.
 */
export declare function debugValue(v: unknown, maxLength?: number): string;
/**
 * Return the object path at which the error occured.
 */
export declare function getFormattedErrorPath(e: RuntypeErrorInfo): string;
/**
 * Return a string representaiton of the value that failed the runtype check.
 *
 * Cap the size of the returned string at maxLength
 */
export declare function getFormattedErrorValue(e: RuntypeErrorInfo, maxLength?: number): string;
/**
 * Return a string representation of the value that failed the runtype check.
 *
 * Cap the size of the returned string at maxLength
 */
export declare function getFormattedError(e: RuntypeErrorInfo, maxLength?: number): string;
export {};
